Package Base Details: xorg-server-git

Git Clone URL: https://aur.archlinux.org/xorg-server-git.git (read-only)
Keywords: X-ABI-EXTENSION_VERSION X-ABI-VIDEODRV_VERSION X-ABI-XINPUT_VERSION x-server
Submitter: ilikenwf
Maintainer: lordheavy
Last Packager: Det
Votes: 41
Popularity: 0.009205
First Submitted: 2008-08-07 19:05
Last Updated: 2017-11-15 22:10

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

shoober420 commented on 2015-07-18 20:16

Thank you Det, that fixed it.

Det commented on 2015-07-18 19:36

Well, that's the packaging part. You (and I) are getting this during build().

The dmx (Distributed Multihead X), like you apparently know, is meant for multiple displays, and therefore more rarely built/fixed when broken. You can remove the " --enable-dmx" in ./configure (disabled by default):

 msg2 "Starting ./configure..."
 ./configure --prefix=/usr \
    --enable-ipv6 \
    --enable-dri \
-    --enable-dmx \
    --enable-xvfb \

Make sure you start with a clean "src/" directory (e.g. makepkg -C, --cleanbuild: https://www.archlinux.org/pacman/makepkg.8.html).

shoober420 commented on 2015-07-18 19:28

You're right, I didn't know you needed it all. Here it is.

../../dix/.libs/libdix.a(pixmap.o): In Function 'PixmapStartDirtyTracking':
pixmap.c:(.text+0x368): undefined reference to 'RRTransformCompute'
collect2: error: ld returned 1 exit status
Makefile:751: recipe for target 'Xdmx' failed

I removed the Xdmx git package since I don't use DMX from the PKBUILD and it still gives me this error.

Det commented on 2015-07-18 19:05

That's not the full error.

shoober420 commented on 2015-07-18 18:32

When I try to compile this, I get this error.

recipe for target 'Xdmx' failed

Det commented on 2015-02-23 09:51

xorg-server-git 1.17.0.16.r14657.g3a06faf-2: https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/xorg-server&id=72ff8b398b1319b3201a16b12a23510e847672e0

Det commented on 2015-01-24 13:37

Fixed.

atmouse commented on 2015-01-17 06:11

it prefer set libexec to /usr/lib/xorg instead of /usr/bin.
SEE: https://wiki.archlinux.org/index.php/Arch_packaging_standards#Package_etiquette

Det commented on 2014-12-31 11:09

1.16.99.901.114.gd723928-1 - Changes:

- Removed: autoconfig-nvidia.patch (https://projects.archlinux.org/svntogit/packages.git/commit/trunk/PKGBUILD?h=packages/xorg-server&id=95d02f45836b30436aa78131cd77dc46171340a2)
- Added: --with-sha1=libgcrypt (https://projects.archlinux.org/svntogit/packages.git/commit/trunk/PKGBUILD?h=packages/xorg-server&id=0ac3af529bbd3d73bbf3f76b822978da6ce9064e)
- Changed homepage to: http://cgit.freedesktop.org/xorg/xserver/
- package_xorg-server-git() now automatically updates the X ABI versions
- Added an install message about the Git packages for the rest of the X stack

Det commented on 2014-12-31 11:05

xorg-server-git 1.16.99.901.114.gd723928-1:

- changed home page to: http://cgit.freedesktop.org/xorg/xserver/
- package_xorg-server-git() now automatically updates the X ABI versions
- added an install message about the Git packages for the rest of the X stack